Package com.mckoi.database

## Class FunctionFactory.FF_FunctionInfo

- java.lang.Object
- - com.mckoi.database.FunctionFactory.FF_FunctionInfo

All Implemented Interfaces:
  `FunctionInfo`

Enclosing class:
  FunctionFactory

    protected class FunctionFactory.FF_FunctionInfo
    extends java.lang.Object
    implements FunctionInfo

An implementation of FunctionInfo.

### Field Summary

### Fields inherited from interface com.mckoi.database.FunctionInfo

`AGGREGATE, STATE_BASED, STATIC`

### Constructor Summary

Constructors
`FF_FunctionInfo​(java.lang.String name, int type, java.lang.reflect.Constructor constructor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.reflect.Constructor` `getConstructor()`
`java.lang.String` `getFunctionFactoryName()` The name of the function factory class that this function is handled by.
`java.lang.String` `getName()` The name of the function as used by the SQL grammar to reference it.
`int` `getType()` The type of function, either STATIC, AGGREGATE or STATE_BASED (eg.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FF_FunctionInfo

    public FF_FunctionInfo​(java.lang.String name,
                           int type,
                           java.lang.reflect.Constructor constructor)

### Method Detail

#### getName

    public java.lang.String getName()

Description copied from interface: `FunctionInfo`
The name of the function as used by the SQL grammar to reference it.

Specified by:
  `getName` in interface `FunctionInfo`

#### getType

    public int getType()

Description copied from interface: `FunctionInfo`
The type of function, either STATIC, AGGREGATE or STATE_BASED (eg. result is not dependant entirely from input but from another state for example RANDOM and UNIQUEKEY functions).

Specified by:
  `getType` in interface `FunctionInfo`

#### getConstructor

    public java.lang.reflect.Constructor getConstructor()

#### getFunctionFactoryName

    public java.lang.String getFunctionFactoryName()

Description copied from interface: `FunctionInfo`
The name of the function factory class that this function is handled by. For example, "com.mckoi.database.InternalFunctionFactory".

Specified by:
  `getFunctionFactoryName` in interface `FunctionInfo`